// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#define BootLoaderCpp_BootLoader_BODY

/************************************************************
 BootLoader class body
 ************************************************************/

// include associated header file
#include "BootLoaderCpp/BootLoader.h"

// Derived includes directives

// Include from Include declaration (body)
BootLoaderCpp::BootLoader bootloader;

int main(int argc, const char *argv[]) {
	// store arguments for future access
	BootLoaderCpp::BootLoader::argc = argc;
	BootLoaderCpp::BootLoader::argv = argv;

	bootloader.init();
	return 0;
}

// End of Include declaration (body)

// Derived using namespaces
namespace BootLoaderCpp {

// static attributes (if any)
/**
 * 
 */
Integer BootLoader::argc;
/**
 * 
 */
String *BootLoader::argv;

/**
 * 
 */
void BootLoader::init() {
	mainComponent.a1.c1.instanceName = "mainComponent.a1.c1";
	mainComponent.a1.createConnections();
	mainComponent.a1.b1.createConnections();

	// activation code
	ctfInit.activate();
	mainComponent.run();

	// deactivation code (reverse order)
	ctfInit.deactivate();
}

} // of namespace BootLoaderCpp

/************************************************************
 End of BootLoader class body
 ************************************************************/
